destinations_maps:
  label: Maps
  namespace: Organisms/TM - Destinations
  use: '@organisms/tm-dest/maps/tm-dest-maps.html.twig'
  description: Maps
  libraries:
    - destinations_maps_lib:
        js:
          ../behaviors/tm-dest-maps.js: {}
        css:
          component:
            ../styles/tm-dest-maps.css: {}

  fields:
    destination_map:
      type: text
      label: Destination map
    stations:
      type: object
      label: stations
      preview:
        - title: Station A
          addr: Street name<br>City<br>County
          url: /somewhere
          map: <div class="leaflet-map" id="map-a" style=" height:300px; width:100%;">MAP
            A</div>
          id: st-a
        - title: Station B
          addr: Street name<br>City<br>County
          url: /somewhere
          map: <div class="leaflet-map" id="map-b" style=" height:300px; width:100%;">MAP
            B</div>
          id: st-b
